
`timescale 1 ns / 1 ps

	module ft1248x1_to_stream8_v1_0 #
	(
		// Users to add parameters here

		// User parameters ends
		// Do not modify the parameters beyond this line


		// Parameters of Axi Slave Bus Interface RXD8
		parameter integer C_RXD8_TDATA_WIDTH	= 32,

		// Parameters of Axi Master Bus Interface TXD8
		parameter integer C_TXD8_TDATA_WIDTH	= 32,
		parameter integer C_TXD8_START_COUNT	= 32
	)
	(
		// Users to add ports here

		// User ports ends
		// Do not modify the ports beyond this line


		// Ports of Axi Slave Bus Interface RXD8
		input wire  rxd8_aclk,
		input wire  rxd8_aresetn,
		output wire  rxd8_tready,
		input wire [C_RXD8_TDATA_WIDTH-1 : 0] rxd8_tdata,
		input wire [(C_RXD8_TDATA_WIDTH/8)-1 : 0] rxd8_tstrb,
		input wire  rxd8_tlast,
		input wire  rxd8_tvalid,

		// Ports of Axi Master Bus Interface TXD8
		input wire  txd8_aclk,
		input wire  txd8_aresetn,
		output wire  txd8_tvalid,
		output wire [C_TXD8_TDATA_WIDTH-1 : 0] txd8_tdata,
		output wire [(C_TXD8_TDATA_WIDTH/8)-1 : 0] txd8_tstrb,
		output wire  txd8_tlast,
		input wire  txd8_tready
	);
// Instantiation of Axi Bus Interface RXD8
	ft1248x1_to_stream8_v1_0_RXD8 # ( 
		.C_S_AXIS_TDATA_WIDTH(C_RXD8_TDATA_WIDTH)
	) ft1248x1_to_stream8_v1_0_RXD8_inst (
		.S_AXIS_ACLK(rxd8_aclk),
		.S_AXIS_ARESETN(rxd8_aresetn),
		.S_AXIS_TREADY(rxd8_tready),
		.S_AXIS_TDATA(rxd8_tdata),
		.S_AXIS_TSTRB(rxd8_tstrb),
		.S_AXIS_TLAST(rxd8_tlast),
		.S_AXIS_TVALID(rxd8_tvalid)
	);

// Instantiation of Axi Bus Interface TXD8
	ft1248x1_to_stream8_v1_0_TXD8 # ( 
		.C_M_AXIS_TDATA_WIDTH(C_TXD8_TDATA_WIDTH),
		.C_M_START_COUNT(C_TXD8_START_COUNT)
	) ft1248x1_to_stream8_v1_0_TXD8_inst (
		.M_AXIS_ACLK(txd8_aclk),
		.M_AXIS_ARESETN(txd8_aresetn),
		.M_AXIS_TVALID(txd8_tvalid),
		.M_AXIS_TDATA(txd8_tdata),
		.M_AXIS_TSTRB(txd8_tstrb),
		.M_AXIS_TLAST(txd8_tlast),
		.M_AXIS_TREADY(txd8_tready)
	);

	// Add user logic here

	// User logic ends

	endmodule
